#! /bin/sh

APPS_NAME="DSL API Application"

if [ -e sysconfig.sh ]; then
	. sysconfig.sh
	. config.sh
	. model_config.sh
        . gen_funcs.sh
else
        echo "Application "$APPS_NAME" not configured"
        exit 0
fi
echo "----------------------------------------------------------------------"
echo "-------------------- build $APPS_NAME ----------------------------"
echo "----------------------------------------------------------------------"

parse_args $@

cd dsl_cpe_control

if [ $BUILD_CLEAN -eq 1 ]; then
	if [ -e .config_ok ]; then
		make distclean
		rm -f .config_ok
	fi
	[ ! $BUILD_CONFIGURE -eq 1 ] && exit 0
fi
if [ ! -f .config_ok -o $BUILD_CONFIGURE -eq 1 ]; then
	if [ ! -e configure ]; then
		autoreconf -i
		if [ ! -e NEWS ]; then
		    touch NEWS
		fi
		if [ ! -e README ]; then
		    touch README
		fi
		if [ ! -e AUTHORS ]; then
		    touch AUTHORS
		fi
		if [ ! -e ChangeLog ]; then
		    touch ChangeLog
		fi
		if [ ! -e TODO ]; then
		    touch TODO
		fi
	fi
fi

ADD_APPL_CFLAGS="-DMODVERSIONS -Os -G 0 -mlong-calls \
 -finline-limit=100000 -mabi=32 -march=mips32 -Wa,-32 -Wa,-march=mips32 \
 -Wa,-mips32 -Wa,--trap"

# call build script with defined settings
../build_app.sh \
    --arch=mips \
    --add-appl-cflags="$ADD_APPL_CFLAGS" \
    --device=amazon-se \
    --inc-soap=0 \
    --inc-debug=0 \
    --inc-debug-prints=0 \
    --inc-debug-tool-interface=0 \
    --inc-cli=1 \
    --inc-dsl-ceoc=0 \
    --inc-script=1 \
    --inc-script-notification=1 \
    --inc-dsl-pm=1 \
    --inc-dsl-pm-total-counters=1 \
    --inc-dsl-pm-showtime-counters=1 \
    --inc-dsl-pm-history=1 \
    --inc-dsl-pm-line-counters=1 \
    --inc-dsl-pm-channel-counters=1 \
    --inc-dsl-pm-datapath-counters=1 \
    --inc-dsl-pm-line-thresholds=0 \
    --inc-dsl-pm-channel-thresholds=0 \
    --inc-dsl-pm-datapath-thresholds=0 \
    --inc-dsl-pm-optional-parameters=0


ifx_error_check $?

#cd ../
#mkdir -p ${BUILD_ROOTFS_DIR}usr/sbin/
#cp -af dsl_cpe_control/src/dsl_cpe_control ${BUILD_ROOTFS_DIR}usr/sbin/

