/******************************************************************************

                               Copyright (c) 2007
                            Infineon Technologies AG
                     Am Campeon 1-12; 81726 Munich, Germany

  For licensing information, see the file 'LICENSE' in the root folder of
  this software module.

******************************************************************************/

#ifdef WIN32

/** \file
   OS interface, WIN32 adaptation
*/

#pragma pack(1)

#include "drv_dsl_cpe_api_types.h"

#include "ifxos_common.h"
#include "ifxos_debug.h"
#include "ifxos_thread.h"
#include "ifxos_memory_alloc.h"
#include "ifxos_lock.h"
#include "ifxos_select.h"
#include "ifxos_common.h"
#include "ifxos_print_io.h"
#include "ifxos_device_access.h"
#include "ifxos_file_access.h"
#include "ifxos_time.h"
#include "ifxos_thread.h"
#include "ifxos_termios.h"
#include "ifxos_pipe.h"
#include "ifxos_misc.h"
#include "ifxos_socket.h"
#include "ifx_getopt.h"

#define ULONG_MAX     0xffffffffUL  /* maximum unsigned long value */

#define __BIG_ENDIAN IFXOS_BIG_ENDIAN
#define __BYTE_ORDER IFXOS_BYTE_ORDER

#define DSL_CPE_PRIORITY   (0)
#define DSL_CPE_STACKSIZE  (2048)

#define DSL_CPE_STRNCASECMP(a,b,c)   stricmp((a),(b))

/** carriage return for windows */
#define DSL_CPE_CRLF     "\n"

#ifndef _IOWR
# define _IOWR(x,y,z)   (((x)<<8)|y)
#endif
#ifndef _IOW
# define _IOW(x,y,z)    (((x)<<8)|y)
#endif
#ifndef _IOR
# define _IOR(x,y,z)    (((x)<<8)|y)
#endif
#ifndef _IO
# define _IO(x,y)       (((x)<<8)|y)
#endif

#pragma pack()

#endif /* WIN32 */


